=== debian/changelog ===
sahara (1:3.0.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2015 12:17:21 +0100

sahara (1:3.0.0-4) unstable; urgency=medium

  * Added q-text-as-data in depends of sahara-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:58:35 +0000

sahara (1:3.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:14:17 +0000

sahara (1:3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 20:05:35 +0000

sahara (1:3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 17:05:17 +0200

sahara (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added nl.po.
  * Now sahara-api depends on python-openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2015 20:02:03 +0000

sahara (1:3.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2015 10:50:55 +0200

sahara (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed debian/patches/also-install-alembic-migrations.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Aug 2015 16:30:57 +0200

sahara (2015.1.0-6) unstable; urgency=medium

  * Makes build reproducible thanks to Juan Picca <jumapico@gmail.com>
    (Closes: #788595).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:49:50 +0200

sahara (2015.1.0-5) unstable; urgency=medium

  * Patches MANIFEST.in to get alembic_migrations in instead of copying
    them in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2015 00:51:21 +0200

sahara (2015.1.0-4) unstable; urgency=medium

  * Added fr.po thanks to Julien Patriarca (Closes: #785354).

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 May 2015 14:52:18 +0000

sahara (2015.1.0-3) unstable; urgency=medium

  * Removes obsolete patches.
  * Adds new sahara-api and sahara-engine packages, as this is now the
    recommended way to run Sahara. The old sahara package is now a
    metapackage (for compatibility reasons) which depends on them:
    - Moves files to sahara-common.install instead of sahara.install.
    - sahara-common Breaks+Replaces: the old sahara .deb.
    - Moves the sahara API endpoint registration to sahara-api.
    - Moves sahara.logrotate to sahara-common.logrotate, and makes it
      rotate /var/log/sahara/*.log.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 May 2015 13:51:04 +0200

sahara (2015.1.0-2) unstable; urgency=medium

  * Added pt.po translation of Debconf messages (Closes: #784595).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:13:52 +0200

sahara (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 22:02:01 +0000

sahara (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Jan 2015 17:35:30 +0100

sahara (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Now requires openstack-pkg-tools (>= 20~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Dec 2014 05:17:43 +0000

sahara (2014.2-2) experimental; urgency=medium

  * Fixed the sahara endpoint url from v1 to v1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Oct 2014 20:55:18 +0800

sahara (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 20:10:10 +0800

sahara (2014.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Review short description.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Oct 2014 16:04:55 +0800

sahara (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added python-mysqldb as dependency.
  * Updated (build-)depends for this release.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Removed Use_auth_uri_parameter_from_config.patch applied upstream.
  * Added doc-base registration file in sahara-doc.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 11:16:07 +0800

sahara (2014.2~b3-1) experimental; urgency=medium

  * Initial release. (Closes: #762659)

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 16:34:46 +0800
