=== debian/changelog ===
sahara (1:3.0.3-0ubuntu1~cloud1) trusty-liberty; urgency=medium

  * d/p/fix-requirements.patch: Drop Flask!=0.11 because it is causing build
    failures.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Dec 2016 10:09:38 -0500

sahara (1:3.0.3-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1648071).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Dec 2016 08:21:28 -0500

sahara (1:3.0.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1619452).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Sep 2016 10:17:34 -0400

sahara (1:3.0.0-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Oct 2015 12:50:11 +0000

sahara (1:3.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 17:25:11 -0400

sahara (1:3.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 12:16:21 +0100

sahara (1:3.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 16:03:07 -0400

sahara (1:3.0.0~b2-0ubuntu2) wily; urgency=medium

  * Remove executing db-manage from post installation script
    Currently Sahara doesn't support Sqlite DB and also Mysql or another
    db can be unconfigured, so we need to remove executing of db-manage
    from post installation script.

 -- Denis Egorenko <degorenko@mirantis.com>  Wed, 26 Aug 2015 18:54:51 +0300

sahara (1:3.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 17 Aug 2015 15:02:58 -0400

sahara (1:3.0.0~b1-0ubuntu3) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:29:07 +0100

sahara (1:3.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/rules: Drop OSLO_PACKAGE_VERSION from rules file, not required as
    we always use upstream release tarballs.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jul 2015 12:04:02 +0100

sahara (1:3.0.0~b1-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
    - d/control: Align (build-)depends with upstream.
    - d/p/fix-assert-regex.patch: Dropped. No longer needed.
    - d/p/fix-wrong-MANIFEST.in.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2015 11:29:47 +0100

sahara (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 15:53:55 +0200

sahara (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - debian/control: Align with upstream dependencies.
    - debian/patches/fix-alembic-migration-for-sqlite-1.patch: Refreshed.
    - debian/rules: Install the correct sample configuration file.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Apr 2015 15:13:04 -0400

sahara (2015.1~b3-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone release:
    - d/control: Align with upstream dependencies.
    - d/p/disable-migration-tests.patch: Dropped. Tests are passed by upstream.

  [ James Page ]
  * d/control: Add missing BD on testresources.
  * d/p/fix-assert-regex.patch: Correct use of assertRegex for python 2.7,
    resolving test failure in Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 11:24:18 +0100

sahara (2015.1~b1-0ubuntu1) vivid; urgency=medium

  * Sync with Debian experimental.
  * Align with other Ubuntu OpenStack packages:
    - d/*: Remove use of dbconfig-common and debconf.
    - d/control: Align with Ubuntu dependency versions.
    - d/sahara-common.postinst.in: Only sync db if sqlite is configured,
      secure permissions on /etc/sahara.
    - d/control: Update Vcs fields.
    - d/control,sahara-api.*,sahara-engine.*: Add new binary packages to
      allow engine and API daemons to be run separately, mark as
      conflicting with all-in-one sahara binary.
  * d/watch: Update to use tarballs.openstack.org for releases.
  * New upstream beta release:
    - d/control: Align with new upstream version requirements.
    - d/rules: Drop install of alembic migrations, now performed upstream.
    - d/p/disable-migration-tests.patch: Disable migration tests has they
      currently depend on running and configured MySQL and PostgreSQL.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jan 2015 15:17:43 +0000
