=== debian/changelog ===
sahara (1:4.0.0~b3-1ubuntu1) xenial; urgency=medium

  [ Thomas Goirand ]
  * Added missing openssh-client and git build-depends-indep.
  * Better default config.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Mar 2016 16:35:02 -0400

sahara (1:4.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed namespaces for generating the config file.
  * Using testr directly to run unit tests.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 14:06:54 +0100

sahara (1:4.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed the use of "dpkg-parsechangelog -S" which doesn't work on Trusty.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 14:42:25 +0100

sahara (1:3.0.0-5) unstable; urgency=medium

  [ Mikhail Ivanov ]
  * d/rules: fix typo in rules with wrong package naming (ie: it was
    sahara-commom instead of common (see the m at the end instead of n)).

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:58:35 +0000
