## sahara 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 python-manilaclient>=1.3.0 # Apache-2.0
 python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
 python-swiftclient>=2.2.0 # Apache-2.0
-python-neutronclient>=2.6.0 # Apache-2.0
+python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
 python-heatclient>=0.6.0 # Apache-2.0
 six>=1.9.0 # MIT
 stevedore>=1.5.0 # Apache-2.0
