=== debian/changelog ===
sahara (1:4.0.0-1ubuntu1) xenial; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * d/rules: Install api-paste.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Apr 2016 08:59:36 -0400

sahara (1:4.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:58:07 +0200

sahara (1:4.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added de.po debconf translation (Closes: #819689).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:13:00 +0200

sahara (1:4.0.0~rc1-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:53:38 +0000

sahara (1:4.0.0~rc1-2) experimental; urgency=medium

  * Add patch to install .json files as well.
  * Removed manual cp of alembic migration files, since the above patch makes
    it useless.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 09:38:36 +0200

sahara (1:4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:29:00 +0100

sahara (1:4.0.0~b3-3) experimental; urgency=medium

  * Added missing openssh-client and git build-depends-indep.
  * Also install alembic migration missed by PBR.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Mar 2016 19:46:21 +0000

sahara (1:4.0.0~b3-2) experimental; urgency=medium

  * Better default config.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 15:34:33 +0000
