=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 37~),
+               openstack-pkg-tools (>= 40~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -75,7 +75,7 @@
                      openssh-client,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/sahara
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/sahara.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/sahara.git
